# mk4map.m

DIRD   = /home/cordyn/mk4/syn
DIRS   = /home/cordyn/lib/mk4v2/src
DIRL   = /home/cordyn/lib

CFLAGS = -O
CFLAGS = -O -I $(DIRD) -I $(DIRS)

LFLAGS = -L $(DIRL)

OBJECTS = mk4map.o \
	rdwrtmk4v2.o \
	mapnmv2.o \
	ck_getv2.o \
	nmdatesv2.o \
	mk4_azscan.o \
	fillv2.o \
	terpimapv2.o \
	do_outv2.o \
	fill_ims_availv2.o 

LIBS = $(DIRL)/libmk4f.a /home/cordyn/lib/libmisc.a -lm

INCLUDES = EWmap4.h ephemeris.h readme.h

mk4map: $(OBJECTS) $(INCLUDES) $(DIRS)/mk4v2.h $(DIRS)/mk4headv2.h
	cc -o $@ \
	$(CFLAGS) \
	$(OBJECTS) \
	$(LFLAGS) \
	$(LIBS) 
